doc-base (0.10.8) unstable; urgency=medium

  * Switch documentation format from DocBook SGML to DocBook XML
    (closes: #871520).
  * Scrollkeeper.pm: specify 'file://' protocol in identifier tag of oml
    files (closes: #860348).
  * Bump debhelper's compat to 11.
  * debian/control:
    + Replace khelpcenter4 with khelpcenter in Suggests field
     (closes: #886535);
    + Switch Vcs-Git to https, and Vcs-Browser to cgit;
    + Standards-Version: 4.1.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 11 Feb 2018 20:43:11 +0100

doc-base (0.10.7) unstable; urgency=medium

  * Build depend on opensp and use onsgmls instead of nsgmls
    to fix FTBFS (closes: #812671).
  * Set UTC date when generating docs and pass the `-n' option to gzip
    to get reproducible results (closes: #794793).
  * Add Swedish translation (closes: #794597).
  * Switch debian/copyright to the DEP-5 format.
  * Drop unused lintian override for /u/s/doc-base/data directory.
  * debian/control:
    + Use https for Vcs-Browser field;
    + Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 27 Jan 2016 22:52:09 +0100

doc-base (0.10.6) unstable; urgency=medium

  * Fix `Possible precedence issue with control flow operator'
    warning (closes: #758311).
  * Fix a typo in install-docs.
  * Standards-Version: 3.9.5 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 24 Aug 2014 22:14:57 +0200

doc-base (0.10.5) unstable; urgency=low

  * Switch triggers to interest-noawait.
  * Fix typo in doc/doc-base.sgml (closes: #707344).
  * Fix `registation' typo (closes: #701738, LP: #1132781).
  * Scrollkeeper.pm: Fix mime-type of compressed files (closes: #483140).
  * Add lintian override for /u/s/doc-base/data directory.
  * Standards-Version: 3.9.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 14 May 2013 23:04:01 +0200

doc-base (0.10.4) unstable; urgency=low

  * Add Japanese translations (closes: #675048).
  * Standards-Version: 3.9.3.
  * Bump debhpelper's compat level to 9.

 -- Robert Luberda <robert@debian.org>  Sat, 02 Jun 2012 14:46:18 +0200

doc-base (0.10.3) unstable; urgency=low

  * debian/postinst: set PERL_DL_NONLAZY=1 not to fail when perl is being
    upgraded (closes: #648937).
  * install-docs.in:
    + show verbose warning message when doc-base is not fully functional;
    + drop the force-reregister file also when install-docs -C is called.
  * debian/control: Fix Vcs-Browser field.

 -- Robert Luberda <robert@debian.org>  Thu, 17 Nov 2011 22:19:09 +0100

doc-base (0.10.2) unstable; urgency=low

  * DocBaseFile.pm: Ignore temporary/backup files in both /usr/share/doc-base
    and /etc/doc-base/documents (closes: #623169).
  * Update German translations (closes: #624345).
  * Update French translations (closes: #627284).
  * debian/control:
    + Add VCS fields;
    + Standards-Version: 3.9.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Fri, 01 Jul 2011 22:40:55 +0200

doc-base (0.10.1) unstable; urgency=low

  * DocBaseFile.pm, InstallDocs.pm:
    + while getting changed files, don't schedule not yet registered files
      for removal;
    + if some documents cannot be registered and verbose messages are turned
      off, inform the user how to get the more detailed reasons of the errors.

 -- Robert Luberda <robert@debian.org>  Sun, 06 Mar 2011 18:48:55 +0100

doc-base (0.10.0) unstable; urgency=low

  * Applied a bit modified patch from  Martin Pitt @ Ubuntu to remove dependency
    on perl (closes: #602919):
    + Scrollkeeper.pm: provide our own local dirname() function and use it
      instead of File::Basename;
    + InstallDocs.pm: use the `rm -r' and 'mkdir -p' programs instead of
      File::Path;
    + debian/rules: run dh_perl with '-d' to avoid perl dependency.

  * Switch internal databases format from MLDBM to YAML and provide better
    error recovery from database corruption:
    + DB.pm: use YAML::Tiny module for storing our internal databases;
    + Util.pm: introduce Fatal() function and differentiate exit codes
      by type of error;
    + make the Fatal() function call
    + debian/control: switch dependency on libmdlbm-perl to libyaml-tiny-perl;
    + debian/postinst: try to recover for yaml files corruption by deleting
      them and re-spawning install-docs.

  * Translations handling:
    + patch from David Prévot not to assume word ordering in translated
      strings (closes: #606475);
    + patch from Chris Leick to fix plurals in the strings (closes: #521384);
    + English messages cleanups;
    + mark more doc-base messages as translatable;
    + Update Polish translation of binary.

  * doc-base.sgml:
    + prepend a top-level section name section names to make it more visible
      that sections' components are separated by slash (closes: #578331);
    + add the `Network/Remote Access' section (closes: #555161);
    + the Network section has two levels, not three (closes: #615488).

  * Don't create scrollkeeper files when rarian-compat is not installed
    (closes: #419745)
    + debian/triggers: interest on /usr/share/doc/rarian-compat to be
      notified of installs/removals of rarian-compat
  * DocBaseFile.pm: fix `no valid Format found' check.
  * Scrollkeeper.pm: avoid `unsuccessful stat on file contains new line'
    warnings given by perl (closes: #607498, #614330).

  * Ubuntu bugs handling:
    + install-docs.in: check if the Pod::Usage module is available before
      using it (LP: #431270, #510976);
    + this version gets rid of MLDBM and provides a better handling of
      databases corruption, to prevent `read error' bugs
      (LP: #695319, #675069, #672364, #668856, #652102, #621345);
    + debian/prerm: downgrade the `cannot find install-docs on path' error
      to a warning to make it possible to remove doc-base when install-docs
      is not available for some reason (LP: #391464);
    + the `/usr/share/doc-base/data/doc-base.map' file is provided in the
      package, it must have been deleted either manually or by filesystem
      error (LP: #660345, #646629);
    + close bugs that are duplicates of Debian bug#501874, fixed in 0.8.18
      (LP: #247718, #249160, #250252, #314996, #327101, #327104).

  * debian/rules: switch to the tiny format from debhelper and add support for
    build-arch and build-indep targets.
  * debian/control:
    + sort dependency fields with wrap-and-sort from the
      ubuntu-dev-tools package;
    + drop versioned conflicts with old versions of dwww and dhelp;
    + drop versioned dependency on dpkg;
    + Standards-Version: 3.9.1.
  * Bump debhelper compat mode to 8.
  * Set source format to `3.0 (native)'.
  * Fix spelling typos found by lintian.
  * Remove ancient stuff from preinst.
  * Re-register all docs when upgrading to this version.

 -- Robert Luberda <robert@debian.org>  Fri, 04 Mar 2011 15:04:51 +0100

doc-base (0.9.5) unstable; urgency=low

  * Add a `Typesetting' top-level section for software used to typesetting
    text and graphics from structured input files (closes: #486144)..
  * Map the unofficial `Tex' section into `Typesetting'; re-register all
    documents.
  * Fix package description and dependencies (closes: #550086).

 -- Robert Luberda <robert@debian.org>  Thu, 15 Oct 2009 11:26:27 +0200

doc-base (0.9.4) unstable; urgency=low

  * Add Spanish translations (closes: #539706, #539707).
  * doc-base.sgml: update, mention triggers (closes: #542038).
  * install-docs.in: fix a typo in pod documentation.
  * rules: use dh_lintian instead for installing a override file.
  * Standards-Version: 3.8.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu, 10 Sep 2009 21:15:33 +0200

doc-base (0.9.3) unstable; urgency=low

  * Fix grammar in German translation (closes: #527054).
  * Update French translation (closes: #527562).

 -- Robert Luberda <robert@debian.org>  Sun, 07 Jun 2009 22:00:12 +0200

doc-base (0.9.2) unstable; urgency=low

  * Add missing spaces into pod documentation (closes: #520238).
  * Fix typo in scrollkeeper.map (closes: #524153).
  * po/pod/po4a.cfg: use [po_directory], instead of [po4a_langs]
  * debian/control:
    + bump po4a build-dependency to 0.35 for the above feature;
    + Standards-Version: 3.8.1 (no changes).
  * New translations:
    + French (closes: #524358);
    + German (closes: #522033, #521833).
  * Add linitian overrides for `useless-call-to-installdocs'.
  * copyright: refer to the GPL-2 common-lincenses file (lintian).

 -- Robert Luberda <robert@debian.org>  Sun, 03 May 2009 07:50:19 +0200

doc-base (0.9.1) unstable; urgency=low

  * Upload to unstable.
  * Merge changes from 0.8.20.
  * install-docs.in: update section reference of dwww man page.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Feb 2009 13:32:09 +0100

doc-base (0.9.0) experimental; urgency=low

  * Extend scrollkeeper.map (closes: #497272). Many thanks to Deng Xiyue
    for the patch.
  * Add NLS support for doc-base script and man pages (closes:  #479011).
  * Add Polish translation of the script and man pages.
  * DocBaseFile.pm: insert into files.db also existing files that don't
    contain valid document it.
  * Reorganise source tree:
    + clean & improve build system;
    + move doc-base.sgml to doc subdir;
    + set debhelper compat level to 7.
  * debian/rules: use dh_prep instead of `dh_clean -k' (lintian)
  * Add po4a to build-dependencies.

 -- Robert Luberda <robert@debian.org>  Sun, 11 Jan 2009 15:14:02 +0100

doc-base (0.8.20) unstable; urgency=low

  * debian/postinst: Use `find -print0 | xargs -0' to handle spaces in
    old list/status file names (closes: #512390).

 -- Robert Luberda <robert@debian.org>  Sat, 24 Jan 2009 00:01:10 +0100

doc-base (0.8.19) unstable; urgency=low

  * While checking for changed files, remove from our database files
    that no longer exists and were never registered because of errors.
  * Fix warning messages for checks that are done after checked file
    is closed (e.g. section check).

 -- Robert Luberda <robert@debian.org>  Mon, 05 Jan 2009 22:25:08 +0100

doc-base (0.8.18) unstable; urgency=medium

  * install-docs.in: include $opt_rootdir in used vars not to fail when
    Perl is in unusable state (closes: #501874). In such a case install-docs
    should try to recover on next invocation (see entry for version 0.8.4)

 -- Robert Luberda <robert@debian.org>  Sun, 16 Nov 2008 22:34:09 +0100

doc-base (0.8.17) unstable; urgency=low

  * doc-base.map: add a few self-mappings to prevent install-docs from
    incorrectly changing case of characters in sections like Help/HOWTO
    (without such a mapping the section name is turned into Help/Howto).
  * postinst: re-register all docs for the above change to be propagated.
  * DocBaseFile.pm: ignore dpkg temporary files while iterating through
    /usr/share/doc-base dir contents.
  * Document.pm: remove doc-base file entry from files.db database even
    if the relevant document is not registered.
  * Scrollkeeper.pm: fix dates in generated omf files.
  * Standards-Version: 3.8.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 11 Nov 2008 11:19:02 +0100

doc-base (0.8.16) unstable; urgency=medium

  * install-docs.in: Import Debian::DocBase::Utils (closes: #481121).

 -- Robert Luberda <robert@debian.org>  Wed, 14 May 2008 00:55:34 +0200

doc-base (0.8.15) unstable; urgency=medium

  * Fix the `--check' option which got broken in 0.8.12.

 -- Robert Luberda <robert@debian.org>  Tue, 13 May 2008 21:42:08 +0200

doc-base (0.8.14) unstable; urgency=low

  * Upload to unstable.
  * Move `Registering with...' messages from InstallDocs.pm to
    {Dhelp,Dwww,Scrollkeeper}.pm.

 -- Robert Luberda <robert@debian.org>  Sat, 26 Apr 2008 19:26:31 +0200

doc-base (0.8.13) experimental; urgency=low

  * Remove dpkg-triggers call from prerm and always register changed files
    in postinst.
  * InstallDocs.pm:
    + change behaviour of `-R' option to unregister doc-base files by removal
      of our databases. This could be useful if database gets damaged;
    + get Document-Id of removed doc-base files from files.db;
    + show nicer statistics about install-docs actions.
  * DocBaseFile.pm: remove PARSE_* variables.
  * doc-base.sgml: minor update, fix typos.
  * install-docs.in: don't print debugging info about skipping install-docs run.
  * control: bump conflict with dwww.
  * Merge changes from  0.8.10.1.

 -- Robert Luberda <robert@debian.org>  Wed, 23 Apr 2008 22:46:50 +0200

doc-base (0.8.12) experimental; urgency=low

  * Enhance doc-base dpkg's triggers support. Instead of simply re-registering
    all available files, install-docs, when triggered, will find out names of
    removed, changed or added /u/s/doc-base/* files and take appropriate
    action on them.

  * Change format of internal database of registered documents from plain
    text files to DBM files (managed with GDBM_File and MLDBM):
    + add new DB.pm module to provide access to database;
    + move contents of old *.status files to new status.db;
    + save timestamps and document-ids of registered /u/s/doc-base/* files
      in a new files.db database;
    + the timestamps will be saved even for broken doc-base files, that
      cannot be properly registered;
    + make necessary changes in our other *.pm to support the new databases.

  * install-docs.in:
    + add new --install-changed option, which compares contents of the files.db
      database with contents of /u/s/doc-base dir and registers only changed
      files; use this option for processing trigger in postinst;
    + new --dump-db option for debugging our databases;
    + update POD docs.

  * InstallDocs.pm: print some additional messages to give clue what is
    actually being done.
  * DocBaseFile.pm, Document.pm: refactor function names.
  * debian/control: add dependency on libmldbm-perl and build-dependency on
    libmldbm-perl and libperl-uuid.
  * debian/preinst: remove old plain text databases, call dpkg-trigger.
  * debian/postinst: don't process triggers until our databases exist.

 -- Robert Luberda <robert@debian.org>  Tue, 08 Apr 2008 22:07:06 +0200

doc-base (0.8.11) experimental; urgency=low

  * Make use of the new dpkg triggers feature:
    + provide debian/triggers file;
    + change postinst to reinstall all docs on trigger activation;
    + install-docs is now no-op if called from other packages' installation
      or removal scripts;
    + remove obsolete (created by doc-base << 0.8.7) dhelp/scrollkeeper files
      in preinst rather than in postinst.

  * Document.pm: remove a perl warning issued on removal doc-base files that
    have been already deleted.
  * Scrollkeeper.pm: switch from scrollkeeper-gen-seriesid to UUID.pm.
  * Dwww.pm: call dwww-build-menu directly (without update-menus).

  * debian/control:
    + add dependency on dpkg (>= 1.14.17) and libperl-uuid;
    + move scrollkeeper from Depends to Suggests field.

  * doc-base.sgml:
    + add OCaml as an example sub-section of Programming (closes: #472501);
    + add TODO entry related to triggers support.

 -- Robert Luberda <robert@debian.org>  Sun, 24 Feb 2008 11:46:13 +0100

doc-base (0.8.10.1) unstable; urgency=high

  * DocBaseFile.pm: workaround Perl crash by decreasing maximum length of
    line that is checked for non-UTF-8 chars (closes: #477512).

 -- Robert Luberda <robert@debian.org>  Wed, 23 Apr 2008 22:26:54 +0200

doc-base (0.8.10) unstable; urgency=low

  * doc-base.sgml:
    + define real section hierarchy (closes: #109431), strongly based on the
      menu one with a few doc-base specific sections added;
    + doc-base files should be UTF-8 encoded.
    + review TODO list.
  * DocBaseFile.pm:
    + try to recode files to UTF-8 at install time,
    + warn on unknown doc-base sections.
  * Utils.pm: Remove latin1 encoding support from HTMLEncode.
  * While reregistering all documents run `dhelp_parse -r' to avoid index++
    runs.
  * Build with debhelper v6.

 -- Robert Luberda <robert@debian.org>  Fri, 22 Feb 2008 23:59:05 +0100

doc-base (0.8.9) unstable; urgency=low

  * Fix typos in doc-base.map (closes: #460505).
  * Update sections in scrollkeeper.map.

 -- Robert Luberda <robert@debian.org>  Sun, 27 Jan 2008 13:36:37 +0100

doc-base (0.8.8) unstable; urgency=low

  * Remove /var/lib/doc-base on package removal (closes: #454069).
  * Strip Apps and Applications prefixes from Section field values.
  * Enable dhelp registration, conflicts with dhelp << 0.6.5.
  * Standards-Version: 3.7.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 22 Dec 2007 13:22:11 +0100

doc-base (0.8.7) unstable; urgency=low

  * Introduce /var/lib/doc-base/documents and dynamic generation of files
    there in doc-base control file format.  Interfaces like dhelp, dwww,
    or doc-central should use that dir instead  of /usr/share/doc.
  * Add support for merging control files to allow multiple binary packages
    provide the same documentation but in different formats.
  * Try to standardise values of the Section: field.
  * Add /etc/doc-base/documents in order to made it possible to register
    local documents with doc-base  (closes: #213847).

  * Dhelp.pm:
    + don't generate .dhelp files, since dhelp 0.6 no longer supports them.
    + add a code to register/unregister doc-base control files with dhelp,
      but not enable it yet.

  * postinst: Remove all already generated .dhelp files and re-register
    installed documentation files.
  * Documentation update.

 -- Robert Luberda <robert@debian.org>  Sun, 02 Dec 2007 14:18:25 +0100

doc-base (0.8.6) unstable; urgency=low

  * Rewrite Dhelp.pm to improve performance and minimise number dhelp_parse
    calls, which after its reimplementation in Ruby started to be extremely
    slow (it took `install-docs -I' ages to finish). Now, dhelp_parse will
    be called at most two times in each install-docs invocation.
  * Use 3-args open(), and also quote fields' values in our status file in
    order not to fail on control files containing spaces (closes: #444889).
  * Implement more checks of doc-base files, like unknown fields, duplicated
    fields, fields in wrong sections (closes: #423120). Turn them into
    warnings, since if they are errors, too many packages will fail to
    install.
  * Document.pm: try to minimise number of write_status_file() calls.
  * Ignore SIGINT and some other signals while doing critical operations.
  * Scrollkeeper.pm: scrollkeeper doesn't like `&' character (see bug#429847),
    replace it with `(and)'.
  * More code refactoring, but still not finished: use prototypes, fix typos,
    standardise messages, etc.

 -- Robert Luberda <robert@debian.org>  Sun, 28 Oct 2007 12:00:37 +0100

doc-base (0.8.5) unstable; urgency=low

  * DocBaseFile.pm: don't die() on invalid doc-base files (closes: #425686).
  * Fix a typo in Dhelp.pm.
  * Document the Author field (closes: #427794).

 -- Robert Luberda <robert@debian.org>  Tue, 17 Jul 2007 00:47:07 +0200

doc-base (0.8.4) unstable; urgency=low

  * Split install-docs into modules to make the code more manageable.
  * Try to avoid bugs like #278495: if our modules can't be loaded when
    (de)registering documentation files, create special flag file and
    re-register all the documents after install-docs is usable again.
  * Add support for (de)registering multiple documents in one install-docs
    invocation (closes: #114692).
  * Add --check/-c option to install-docs (closes: #35895), also add --rootdir
    option.
  * Remove `Registered-to-XXX' statuses, remove *.list files, deprecate the
    -L/--listfiles option. Names of the generated files are now keep in
    the status file in `Scrollkeeper-omf-files' and `Dhelp-files'  fields.
  * Change semantics of -r/--remove option: its arguments should be the names
    of previously installed doc-base files, and not the documents IDs. Still
    support the old semantics for backward compatibility.
  * Introduce -I/--install-all, -R/--remove-all, -d/--debug, -h/--help options.

  * Change the build system, create Makefile and let it do all the work.

  * doc-base.sgml:
    + Update output of --status, remove reference to --listfiles.
    + Add chapter about checking syntax of control files.
    + Update syntax of --remove option.

  * Dhelp support:
    + Pass a list of all registered files to dhelp (closes: #128493).
    + Create dhelp files only in top-level documentation dirs
      (i.e. /usr/share/doc/$package instead of /u/s/d/$package/something).
      According to dhelp's documentation this is the right thing to do.
      Also this should avoid problems with symlinks like #21678.
    + Add a special `x-doc-base-id' tag to generated dhelp files to make it
      possible to distinguish items in the dhelp files. When installing new
      documents existing files are no longer overwritten (closes: #204195),
      but on the other hand on documents removal the dhelp files may not be
      removed, which possibly reintroduces bugs like #59850.
    + Don't call dhelp_parse {-d,-a} on files that weren't changed.

  * Scrollkeeper support:
    + Fix broken non-empty directories check.
    + Save generated series id in `Scrollkeeper-sid' status field and use it
      for following registrations of the same document.
    + Call scrollkeeper-update only once in each invocation of install-docs.

  * Dwww support:
    + skip running update-menus if dwww package doesn't seem to be installed.

 -- Robert Luberda <robert@debian.org>  Sun, 06 May 2007 15:22:38 +0200

doc-base (0.8.3) unstable; urgency=low

  * prerm: Oops, the first letter from the `else' word went somehow
    missing (closes: #419045).

 -- Robert Luberda <robert@debian.org>  Fri, 13 Apr 2007 19:40:06 +0200

doc-base (0.8.2) unstable; urgency=low

  * install-docs: yet another typo fixed.

 -- Robert Luberda <robert@debian.org>  Thu, 12 Apr 2007 21:40:07 +0200

doc-base (0.8.1) unstable; urgency=low

  * Fix a typo that caused broken omf files being generated in some cases
    (closes: #418861).

 -- Robert Luberda <robert@debian.org>  Thu, 12 Apr 2007 18:49:39 +0200

doc-base (0.8.0) unstable; urgency=low

  * Merge the scrollkeeper stuff from Ubuntu 0.7.21ubuntu2 (closes: #418412)
    with the following changes:
    + set omf dir to /var/lib/doc-base/omf and make it link from
       /usr/share/omf/doc-base;
    + try to register more formats in addition to html, both khelpcenter and
      yelp can handle them via external applications. Thanks to Sam Morris
      <sam+robots.org.uk> for the suggestion;
    + suggest yelp | khelpcenter as scrollkeeper browsers;
    + don't run scrollkeeper-update if --no-update-menus was passed to
      install-docs.

  * Improve the doc-base manual:
    + enhance the document layout, add some cross references;
    + remove the paragraph about automatic conversions between formats, it's
      not true, and won't be soon (unless someone provides me patch for this);
    + put an example of PDF and other supported formats (closes: #409121);
    + clarify allowable shell glob patterns (closes: #392587);
    + mention that the registered files should be located under /usr/share/doc
      hierarchy (closes: #333648);
    + review the TODO list, add some items I'd like to implement shortly.

  * postinst/postrm scripts:
    + do proper quoting of file names (closes: #395824);
    + reinstall_docs removes installed docs before re-registering them;
    + make the handling docs code from postrm match the postinst code;

  * install-docs:
    + `missing Index field for Info format' is an error now, not warning;
    + if glob() returns only one file, check for its existence. glob() seems
      to simply return its argument if it doesn't contain any meta-characters;
    + skip any doc-base files that contain Version: field, for future changes;
    + ignore `two many arguments' error for `-i' and `-r' options;

  * Move debhelper to Build-Depends (lintian)
  * Remove one useless lintian override and add two new ones ;)
  * Bump Standards-Version to 3.7.2.

 -- Robert Luberda <robert@debian.org>  Wed, 11 Apr 2007 22:41:28 +0200

doc-base (0.7.23) unstable; urgency=low

  * Oops, the previous change caused dhelp warnings about trying to create its
    .dhelp files in nonexistent directories. Fixed that.

 -- Robert Luberda <robert@debian.org>  Fri, 30 Mar 2007 23:19:59 +0200

doc-base (0.7.22) unstable; urgency=medium

  * Show warnings about nonexistent files only when in verbose mode
    (closes: #409186, #366250).

 -- Robert Luberda <robert@debian.org>  Fri, 30 Mar 2007 21:53:26 +0200

doc-base (0.7.21) unstable; urgency=low

  * doc-base.sgml:
    + bless a few documentation formats: PDF, PostScript, Info, and DVI,
      which are already often used in the doc-base files
    + the `Index' field is required for the Info format.
  * install-docs:
    + support the above mentioned formats
    + warn if info format lacks the `Index' field.
  * install-docs: Some fixes for dhelp support:
    + when registering the doc files, don't remove the old .dhelp file until
      it's actually read and parsed. This partially fixes Bug#204195 (the full
      fix would probably require not removing .dhelp files when doc-base documents
      are unregistered)
    + don't HTML-encode entries already read from .dhelp file
    + made 'howto' and 'faq' section names  uppercase.
  * debian/postinst: Re-register all the doc-base files.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Apr 2006 17:48:08 +0200

doc-base (0.7.20) unstable; urgency=low

  * doc-base.sgml:
    + document common practice that value of `Files' field is a space
      separated list of filenames or glob patterns
    + also explicitly document the meaning of lines starting with two
      or more spaces
    + add the missing word (closes: #289448)
  * install-docs:
    + encode HTML special characters when generating the .dhelp files
      (closes: #114877)
    + correctly handle the verbatim text and blank line for the .dhelp files
    + warn if files referred by the doc-base files does not exist.
  * debian/postinst: Re-register all the doc-base files because of the above
    install-docs changes.
  * Remove ancient stuff from postinst & prerm scripts, remove preinst
    entirely.
  * Use `which' instead of`command -v' in the scripts (closes: #292967).
  * debian/copyright: update.
  * debian/control: suggest doc-central as an alternative to dhelp or dwww.
  * Ack NMU (closes: #278495).

 -- Robert Luberda <robert@debian.org>  Sun,  2 Apr 2006 14:26:47 +0200

doc-base (0.7.19) unstable; urgency=low

  * New maintainer (closes: #358436).
  * debian/*: Switch build-system do debhelper v5.
  * debian/postinst: Reorder arguments to invocation of find(1) command
    (closes: #309516).

 -- Robert Luberda <robert@debian.org>  Tue, 28 Mar 2006 19:58:06 +0200

doc-base (0.7.18-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC bugfix
  * Fix install-docs to not require perl's File::Basename, so that it
    works even when perl is unconfigured.  Thanks to Colin Watson for
    the patch.  Closes: #278495.

 -- Steve Langasek <vorlon@debian.org>  Thu, 12 May 2005 17:25:15 -0700

doc-base (0.7.18) unstable; urgency=low

  * postinst: don't die if /usr/lib/menu doesn't exist; closes: #186707

 -- Adam Di Carlo <aph@debian.org>  Sun, 30 Mar 2003 12:14:52 -0500

doc-base (0.7.17) unstable; urgency=low

  * new dwww changes: no longer produce files under /usr/lib/menu;
    obsoletes and closes: #153242; conflict with dwww < 1.9.0
  * on upgrade, remove the files /usr/lib/menu/doc-base-*
  * postinst should use stderr, not stdout
  * rewrite the description/synopsis
  * policy compliance updated to 3.5.9, no changes required
  * preinst: don't babble about removing dhelp files unless they are
    really there; let dhelp_parse_fsstnd fail if it wants to

 -- Adam Di Carlo <aph@debian.org>  Sun, 23 Mar 2003 16:28:15 -0500

doc-base (0.7.16) unstable; urgency=low

  * fix a /usr/doc problem in preinst; closes: #183491

 -- Adam Di Carlo <aph@debian.org>  Fri,  7 Mar 2003 13:53:18 -0500

doc-base (0.7.15) unstable; urgency=low

  * attempting to flush the easy bugs before the major rewrite...

  * don't set /usr/doc symlink, in fact, remove it in preinst if it is there
  * add #DEBHELPER# areas in maintainer scripts (thanks, linda)
  * postinst: don't variablize /usr/bin/update-menus, it confuses lintian
  * install lintian overrides for:
    doc-base: maintainer-script-does-not-check-for-existence-of-installdocs postinst
    doc-base: preinst-calls-installdocs
  * docs: update (c) date; s/command -v/which/; closes: #169115
  * install-docs: strip trailing space in fields that we read;
    closes: #86040 and part of #60981
  * install-docs: improve the error message when we fail writing a dhelp
    file; closes: #111620
  * Section is now a required field, otherwise, we create invalid menu
    files; closes: #112450
  * doc-base.sgml: document document and format fields, indicating which
    fields are required; closes: #63822, #151945
  * install-docs: POD documentation improvements
  * postinst: don't create /usr/doc symlink

 -- Adam Di Carlo <aph@debian.org>  Sun,  2 Mar 2003 22:17:55 -0500

doc-base (0.7.14) unstable; urgency=low

  * fix a bug introduced in last version, thanks to bug hunting by
    David Kimdon; closes: #171202
  * dhelp registration was busted in 0.7.13, so if we're upgrading from
    that version, take the time to re-register all docreg files

 -- Adam Di Carlo <aph@debian.org>  Sun,  1 Dec 2002 17:30:05 -0500

doc-base (0.7.13) unstable; urgency=low

  * documentation corrections and updates from Chris Tillman;
    closes: #130054
  * add --no-update-menus switch for more efficient bulk invocation, and
    rewrite postinst to use that, so we end up calling update-menus only
    once; closes: #114886
  * postinst: don't re-register all doc-base files if they don't need
    re-registering
  * install-docs: less cryptic arg processing warnings
  * if you want to re-register all doc-base files, just purge and install
    the package; closes: #97009
  * remove old FSSTD stuff in documentation; closes: #146226
  * remove old FSSTD stuff in dhelp support; closes: #127985

 -- Adam Di Carlo <aph@debian.org>  Tue, 26 Nov 2002 14:25:40 -0500

doc-base (0.7.12) unstable; urgency=low

  * deal with problems when locale is UTF-8, patch from Drew Parsons
    closes: #158624, #163188, #165312
  * embarrassing: doc-base's own doc-base file was a bit wrong
    closes: #137514
  * slight postinst message change

  * note: many more changes coming; I'm just trying to close any easy and
    gratuitous bugs here while I'm working on the redesign

 -- Adam Di Carlo <aph@debian.org>  Mon, 25 Nov 2002 13:36:24 -0500

doc-base (0.7.11) unstable; urgency=low

  * incorporate NMU (closes: #111703, #114657)
  * strengthen the wording of the prerm case -- for people getting
      dpkg: warning - unable to delete old file `directory': Directory not empty
    due to old .dhelp files, please read section 2.4
    (closes: #59850)
  * some other minor updates in the documentation
  * debian/control: upgrade to standards version to 3.5.6, no changes
    needed

    - Note that the stipulation that programs cannot reference files in
      /usr/share/doc [13.3] is not honoured because that is required by
      dhelp; complaints about that should be directed towards dhelp.

 -- Adam Di Carlo <aph@debian.org>  Sun, 21 Oct 2001 01:38:04 -0400

doc-base (0.7.10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Quote control file names for regexps (closes: #111703).

 -- Colin Watson <cjwatson@debian.org>  Sat,  6 Oct 2001 13:06:59 +0100

doc-base (0.7.10) unstable; urgency=low

  * clarify wording when unregistering documentation
  * postrm works better when it's actually installed into the deb, duh
    really closes: #101252

 -- Adam Di Carlo <aph@debian.org>  Mon, 30 Jul 2001 02:11:12 -0400

doc-base (0.7.9) unstable; urgency=low

  * process doc-base files present already at configure time
    closes: #39006
  * conversely, remove all our files (nicely) at remove time, and purge
    /var/lib/doc-base at purge time
    closes: #101252
  * get our perl depends right, using dh_perl (required build-depends on
    debhelper)
    closes: #67171
  * fix a minor usr/doc vs usr/share/doc problem in the man page
    closes: #81126
  * fix for new license location in copyright file
  * in the documentation, we weren't noting the date properly based on the
    Debian changelogs
  * fixed a while ago:
    closes: #62230

 -- Adam Di Carlo <aph@debian.org>  Mon, 30 Jul 2001 01:56:07 -0400

doc-base (0.7.8) frozen unstable; urgency=low

  * small changes for bugfixing, no new features, should go in potato
  * install-docs: if open of control file fails, look for file in
    /usr/share/doc-base/ (closes: Bug#53555)
  * update to Policy standards 3.1.1 -- added Build-Depends-Indep
    (closes: Bug#53261)
  * tweak preinst wording as it removes old .dhelp files
    (closes: Bug#47010)
  * doc-base.sgml: use version.ent for dynamic versioning (shipped too);
    SGML aesthetics and tagging

 -- Adam Di Carlo <aph@debian.org>  Tue,  8 Feb 2000 20:07:16 -0500

doc-base (0.7.7) unstable; urgency=low

  * really update Policy standards to 3.0.1
  * dhelp now has a different program, dhelp_parse_fsstnd, to deal with
    /usr/doc vs /usr/share/doc, so use it
  * debian/control: conflict with dhelp (<< 0.3.14)
  * prerm, postinst: implement tech committee solution on /usr/doc symlink

 -- Adam Di Carlo <aph@debian.org>  Sat, 25 Sep 1999 16:34:11 -0400

doc-base (0.7.6) unstable; urgency=low

  * add perl5 depends (closes: Bug#44623)

 -- Adam Di Carlo <aph@debian.org>  Fri, 10 Sep 1999 21:37:01 -0400

doc-base (0.7.5) unstable; urgency=low

  * update Policy standards to 3.0.1
  * debian/rules: move documentation area back to /usr/doc for now;
    clean is a bit cleaner
  * maintainer scripts: simplify a bit; call 'install-docs -r' from
    preinst for upgrade from 0.7.4 (dir move) to avoid the dpkg warning
    (closes Bug#41785, #41161, #41326)
  * install-docs: prior to installing new docreg file, remove any already
    installed dhelp files -- this will help with the /usr/doc ->
    /usr/share/doc transition, although it won't suppress the dpkg
    warning, since 'install-docs -i' runs *after* the warning
  * doc-base.sgml: talk about how to avoid the dpkg warning about
    'Directory not empty' due to .dhelp file left around during upgrade;
    the solution in short is to run 'install-docs -r' during 'upgrade' in
    prerm

 -- Adam Di Carlo <aph@debian.org>  Sat, 14 Aug 1999 21:32:55 -0400

doc-base (0.7.4) unstable; urgency=low

  * install-docs: skip dhelp when directory != /usr/doc or
    /usr/share/doc (closes Bug#32034)
  * changes for Policy 3.0.0 (no /usr/doc compat symlinks)
  * debian/control: removed perl-base dependency -- it's required!
    (thanks to Raphael Hertzog)

 -- Adam Di Carlo <aph@debian.org>  Sat, 10 Jul 1999 21:45:41 -0400

doc-base (0.7.3) unstable; urgency=low

  * doc-base.sgml: fix typo (closes Bug#35986)
  * install-docs: only warn about unknown formats if verbose ('-v') is in
    effect (closes Bug#33509, Bug#35947, and hopefully quells the recent
    outcry on debian-devel)
  * debian/rules: debiandoc2text now has a default extension of .txt,
    which is better anyway, so use that

 -- Adam Di Carlo <aph@debian.org>  Thu, 13 May 1999 01:25:06 -0400

doc-base (0.7.2) frozen unstable; urgency=low

  * maintainer name change
  * debian/rules: more robust way to interact with changelog, which is
    what I use on all my other packages
  * install-docs: fix some glitches in the POD output
  * doc-base.sgml: minor typo in documentation fixed (closes Bug#26530)
  * debian/control: suggests 'dwww | dhelp', without which the package
    currently isn't much good (closes Bug#31302)
  * no code changes

 -- Adam Di Carlo <aph@debian.org>  Sat,  2 Jan 1999 04:38:30 -0500

doc-base (0.7.1) frozen unstable; urgency=low (HIGH if you have problems
    with quotes in document registration files)

  * depend on recent Perl (closes Bug#21816)
  * set umask explictly, so all files are -rw-r--r-- (closes Bug#22275)
  * quote quotes for dwww-menu files (closes grave Bug#22990)

 -- Adam P. Harris <aph@debian.org>  Mon,  1 Jun 1998 01:49:50 -0400

doc-base (0.7.0) frozen unstable; urgency=low

  * maintainer scripts: one of the shell function used '-', which was
    renamed to '_'; shell for maintainer scripts set back to /bin/sh
  * doc-base.sgml: update the FSF address
  * copyright: list myself as maintainer
  * bump standards version to 2.4.1.0 (checked)
  * add digit to version number: 0.7.x will be for hamm maintenance
    (branched); probably 0.8 will be for our documentation drafts
    including information on the Debian Document Hierarchy, the new docreg
    file format documentation and system, and other documents; 0.9 will
    probalby contain our implementations of these new infrastructures for
    slink; and eventually it'll all be a done deal and we'll hit 1.0.

 -- Adam P. Harris <aph@debian.org>  Sun,  3 May 1998 09:05:23 -0400

doc-base (0.6) frozen unstable; urgency=low

  * change shell on maintainer scripts to bash, since that seems to cope
    with the shell functions better (closes Bug#21359, and undoubtedly
    more reports to come until this makes it into the archive)

 -- Adam P. Harris <aph@debian.org>  Sun, 19 Apr 1998 01:54:36 -0400

doc-base (0.5) frozen unstable; urgency=low

  * fix minor problems with the new install-docs-man document id, the
    document id was misnamed install-doc-man
  * improve the maintainer scripts immensely, trying to minimize removal,
    since it's not necessary to remove a document id when replacing it
  * doc-base.sgml: update TODO list

 -- Adam P. Harris <aph@debian.org>  Fri, 17 Apr 1998 01:17:06 -0400

doc-base (0.4) frozen unstable; urgency=low

  * much better dhelp support: be sure to run 'dhelp_parse -d' before
    altering a .dhelp file, multiple <item>s in one .dhelp file, and very
    good parsing of existing .dhelp files in case more than one
    document-id is adding a files in the same directory (closes
    Bug#18808, Bug#20038, Bug#20529)
  * we now will modify even foreign .dhelp files
  * lowercase sections for dhelp (only), and remove leading 'Apps/', which
    is a workaround until we have a real, policy-specified and thought-out
    documentation hierarchy (closes Bug#20862)
  * register install-docs man page, html version
  * moved Section for our own documentation from Apps/Programming to
    Debian

 -- Adam P. Harris <aph@debian.org>  Thu, 16 Apr 1998 06:27:08 -0400

doc-base (0.3) frozen unstable; urgency=low

  * add manual page for install-docs
  * debian/rules: clarifications and cleanup
  * added frozen to distribution ("oopsie" on last version)
  * install-docs is idempotent for --remove, that is, if you try to remove
    a docid which is already removed, it exits with a warning, but not a
    non-zero exit status (closes Bug#19875, I think)

 -- Adam P. Harris <aph@debian.org>  Thu,  9 Apr 1998 20:36:00 -0400

doc-base (0.2) unstable; urgency=low

  * new maintainer
  * clarify how to call install-docs in documentation (closes Bug#20530)
  * practice what I preach in maintainer scripts
  * debian/rules: call dpkg-gencontrol with -isp
  * copyright: update FSF address
  * actively fixing rest of bugs and lack of man page, patience please

 -- Adam P. Harris <aph@debian.org>  Mon,  6 Apr 1998 07:31:21 -0400

doc-base (0.1) unstable; urgency=low

  * Initial Release.
  * Only supports registering documents to the online documentation
    systems dwww and dhelp for now.

 -- Christian Schwarz <schwarz@debian.org>  Fri, 30 Jan 1998 21:38:45 +0100

